Bug 1263212 - Input: uinput - [fix] crash when using ABS events
Input: uinput - [fix] crash when using ABS events
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Alon Levy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 06:47 EDT by poma
Modified: 2015-10-05 20:05 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 00:39:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description poma 2015-09-15 06:47:25 EDT
BUG: unable to handle kernel NULL pointer dereference at 0000000000000024
BUG: sleeping function called from invalid context at include/linux/sched.h:2756
BUG: scheduling while atomic: spice-vdagentd/906/0x00000002
BUG: spinlock lockup suspected on CPU#0, spice-vdagentd/906


[   47.317261] =============================================
[   47.317836] [ INFO: possible recursive locking detected ]
[   47.318017] 4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1 Not tainted
[   47.318017] ---------------------------------------------
[   47.318017] kworker/u4:0/6 is trying to acquire lock:
[   47.318017]  (&dev->struct_mutex){+.+.+.}, at: [<ffffffffa00c904d>] qxl_bo_unref+0x4d/0xf0 [qxl]
[   47.318017] 
[   47.318017] but task is already holding lock:
[   47.318017]  (&dev->struct_mutex){+.+.+.}, at: [<ffffffffa00c90c0>] qxl_bo_unref+0xc0/0xf0 [qxl]
[   47.318017] 
[   47.318017] other info that might help us debug this:
[   47.318017]  Possible unsafe locking scenario:
[   47.318017] 
[   47.318017]        CPU0
[   47.318017]        ----
[   47.318017]   lock(&dev->struct_mutex);
[   47.318017]   lock(&dev->struct_mutex);
[   47.318017] 
[   47.318017]  *** DEADLOCK ***
[   47.318017] 
[   47.318017]  May be due to missing lock nesting notation
[   47.318017] 
[   47.318017] 4 locks held by kworker/u4:0/6:
[   47.318017]  #0:  ("%s""qxl_gc"){.+.+.+}, at: [<ffffffff810c7399>] process_one_work+0x199/0x6a0
[   47.328646]  #1:  ((&qdev->gc_work)){+.+.+.}, at: [<ffffffff810c7399>] process_one_work+0x199/0x6a0
[   47.328646]  #2:  (&dev->struct_mutex){+.+.+.}, at: [<ffffffffa00c90c0>] qxl_bo_unref+0xc0/0xf0 [qxl]
[   47.328646]  #3:  (&qdev->surf_evict_mutex){+.+.+.}, at: [<ffffffffa00cb03a>] qxl_surface_evict+0x2a/0x70 [qxl]
[   47.328646] 
[   47.328646] stack backtrace:
[   47.328646] CPU: 1 PID: 6 Comm: kworker/u4:0 Not tainted 4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1
[   47.328646] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.8.2-20150718_101000-lnx 04/01/2014
[   47.328646] Workqueue: qxl_gc qxl_gc_work [qxl]
[   47.328646]  0000000000000000 000000002ac977db ffff8800584cb9d0 ffffffff81416c79
[   47.328646]  ffffffff82af44f0 ffff8800584cbaa8 ffffffff81105b04 ffffffff8185f4ad
[   47.328646]  0000000000000000 0000000000000000 ffff8800593d85c0 ffff8800584cba00
[   47.328646] Call Trace:
[   47.328646]  [<ffffffff81416c79>] dump_stack+0x4b/0x72
[   47.328646]  [<ffffffff81105b04>] __lock_acquire+0x1b74/0x1ba0
[   47.328646]  [<ffffffff8185f4ad>] ? retint_kernel+0x10/0x10
[   47.328646]  [<ffffffff810e3037>] ? sched_clock_local+0x17/0x80
[   47.328646]  [<ffffffff811064a6>] lock_acquire+0xc6/0x1c0
[   47.328646]  [<ffffffffa00c904d>] ? qxl_bo_unref+0x4d/0xf0 [qxl]
[   47.328646]  [<ffffffffa00c9073>] qxl_bo_unref+0x73/0xf0 [qxl]
[   47.328646]  [<ffffffffa00c904d>] ? qxl_bo_unref+0x4d/0xf0 [qxl]
[   47.328646]  [<ffffffffa00ce062>] qxl_alloc_surface_release_reserved+0xc2/0x110 [qxl]
[   47.328646]  [<ffffffffa00ca0ce>] qxl_hw_surface_dealloc.part.3+0x3e/0x110 [qxl]
[   47.328646]  [<ffffffffa00cb054>] qxl_surface_evict+0x44/0x70 [qxl]
[   47.344377]  [<ffffffffa00c953a>] qxl_gem_object_free+0x3a/0x70 [qxl]
[   47.344377]  [<ffffffffa0074170>] drm_gem_object_free+0x30/0x50 [drm]
[   47.344377]  [<ffffffffa00c90de>] qxl_bo_unref+0xde/0xf0 [qxl]
[   47.344377]  [<ffffffff81244287>] ? kfree+0x277/0x280
[   47.344377]  [<ffffffffa00cd6cc>] qxl_release_free_list+0x4c/0x90 [qxl]
[   47.347667]  [<ffffffffa00cda2e>] qxl_release_free+0x7e/0xe0 [qxl]
[   47.347667]  [<ffffffffa00ca555>] qxl_garbage_collect+0xd5/0x1b0 [qxl]
[   47.347667]  [<ffffffffa00c4305>] qxl_gc_work+0x15/0x20 [qxl]
[   47.347667]  [<ffffffff810c7430>] process_one_work+0x230/0x6a0
[   47.351846]  [<ffffffff810c7399>] ? process_one_work+0x199/0x6a0
[   47.351846]  [<ffffffff810c78ee>] worker_thread+0x4e/0x450
[   47.351846]  [<ffffffff810c78a0>] ? process_one_work+0x6a0/0x6a0
[   47.351846]  [<ffffffff810ce941>] kthread+0x101/0x120
[   47.351846]  [<ffffffff81103ba9>] ? trace_hardirqs_on_caller+0x129/0x1b0
[   47.351846]  [<ffffffff810ce840>] ? kthread_create_on_node+0x250/0x250
[   47.351846]  [<ffffffff8185ecef>] ret_from_fork+0x3f/0x70
[   47.351846]  [<ffffffff810ce840>] ? kthread_create_on_node+0x250/0x250
[   75.950118] BUG: unable to handle kernel NULL pointer dereference at 0000000000000024
[   75.950650] IP: [<ffffffff8165bdc2>] input_handle_event+0x232/0x4e0
[   75.950650] PGD 0 
[   75.950650] Oops: 0000 [#1] SMP 
[   75.950650] Modules linked in: uinput fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack kvm_amd kvm ppdev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq joydev snd_seq_device serio_raw snd_pcm parport_pc snd_timer parport virtio_console snd soundcore i2c_piix4 acpi_cpufreq isofs squashfs 8021q garp stp llc mrp virtio_net virtio_blk virtio_balloon qxl drm_kms_helper ttm drm virtio_pci ata_generic pata_acpi virtio_ring virtio loop
[   75.950650] CPU: 0 PID: 906 Comm: spice-vdagentd Not tainted 4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1
[   75.950650] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.8.2-20150718_101000-lnx 04/01/2014
[   75.950650] task: ffff88005bacd380 ti: ffff8800529d0000 task.ti: ffff8800529d0000
[   75.950650] RIP: 0010:[<ffffffff8165bdc2>]  [<ffffffff8165bdc2>] input_handle_event+0x232/0x4e0
[   75.950650] RSP: 0018:ffff8800529d3d58  EFLAGS: 00010006
[   75.950650] RAX: 0000000000000000 RBX: ffff88003ad09000 RCX: 0000000000000003
[   75.950650] RDX: 0000000000000018 RSI: 0000000000000000 RDI: 0000000000000018
[   75.950650] RBP: ffff8800529d3d80 R08: 0000000000000000 R09: 0000000000000001
[   75.950650] R10: ffff88005bacd380 R11: 0000000000000000 R12: 00000000000000c4
[   75.950650] R13: 0000000000000003 R14: 0000000000000001 R15: ffff88003ad09248
[   75.950650] FS:  00007f710c3d2880(0000) GS:ffff880059000000(0000) knlGS:0000000000000000
[   75.950650] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   75.950650] CR2: 0000000000000024 CR3: 000000005690e000 CR4: 00000000000006f0
[   75.950650] Stack:
[   75.950650]  ffff88003ad09000 0000000000000003 00000000000000c4 0000000000000001
[   75.950650]  ffff88003ad09248 ffff8800529d3dc0 ffffffff8165c0c9 0000000000000286
[   75.950650]  0000000000000018 00007ffdabb9e7a0 ffff88001813e800 ffff8800529d4000
[   75.950650] Call Trace:
[   75.950650]  [<ffffffff8165c0c9>] input_event+0x59/0x80
[   75.950650]  [<ffffffffa0390244>] uinput_write+0x154/0x450 [uinput]
[   75.950650]  [<ffffffffa015404d>] ? port_fops_read+0xfd/0x1f0 [virtio_console]
[   75.950650]  [<ffffffff8126a0f7>] __vfs_write+0x37/0x100
[   75.950650]  [<ffffffff8126aac9>] vfs_write+0xa9/0x1a0
[   75.950650]  [<ffffffff8128bd66>] ? __fget_light+0x66/0x90
[   75.950650]  [<ffffffff8126b7c8>] SyS_write+0x58/0xd0
[   75.950650]  [<ffffffff8185e972>] entry_SYSCALL_64_fastpath+0x12/0x76
[   75.950650] Code: 02 00 00 41 8d 4e d0 83 f9 0d 40 0f 96 c6 0f 86 36 02 00 00 48 8d 0c 52 48 8b 93 a0 01 00 00 48 8d 14 ca 48 85 d2 48 89 d7 74 6b <8b> 4a 0c 44 8b 07 85 c9 74 55 89 ca 45 89 c1 c1 ea 1f 01 ca d1 
[   75.950650] RIP  [<ffffffff8165bdc2>] input_handle_event+0x232/0x4e0
[   75.950650]  RSP <ffff8800529d3d58>
[   75.950650] CR2: 0000000000000024
[   75.950650] ---[ end trace c6d9db7997e07e0a ]---
[   75.950650] BUG: sleeping function called from invalid context at include/linux/sched.h:2756
[   75.950650] in_atomic(): 1, irqs_disabled(): 1, pid: 906, name: spice-vdagentd
[   75.950650] INFO: lockdep is turned off.
[   75.950650] irq event stamp: 3972
[   75.950650] hardirqs last  enabled at (3971): [<ffffffff8185df5c>] _raw_spin_unlock_irq+0x2c/0x40
[   75.950650] hardirqs last disabled at (3972): [<ffffffff8185dd2f>] _raw_spin_lock_irq+0x1f/0x80
[   75.950650] softirqs last  enabled at (3868): [<ffffffff810aee70>] __do_softirq+0x380/0x490
[   75.950650] softirqs last disabled at (3863): [<ffffffff810af1c2>] irq_exit+0x112/0x120
[   75.950650] CPU: 0 PID: 906 Comm: spice-vdagentd Tainted: G      D         4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1
[   75.950650] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.8.2-20150718_101000-lnx 04/01/2014
[   75.950650]  0000000000000000 00000000a31d5661 ffff8800529d3a10 ffffffff81416c79
[   75.950650]  ffff88005bacd380 ffff8800529d3a38 ffffffff810d6199 ffffffff81c780eb
[   75.950650]  0000000000000ac4 0000000000000000 ffff8800529d3a60 ffffffff810d6299
[   75.950650] Call Trace:
[   75.950650]  [<ffffffff81416c79>] dump_stack+0x4b/0x72
[   75.950650]  [<ffffffff810d6199>] ___might_sleep+0x179/0x230
[   75.950650]  [<ffffffff810d6299>] __might_sleep+0x49/0x80
[   75.950650]  [<ffffffff810bb8f3>] exit_signals+0x33/0x150
[   75.950650]  [<ffffffff810ac449>] do_exit+0xc9/0xc30
[   75.950650]  [<ffffffff81119971>] ? kmsg_dump+0x151/0x1a0
[   75.950650]  [<ffffffff81119854>] ? kmsg_dump+0x34/0x1a0
[   75.950650]  [<ffffffff8101ee5a>] oops_end+0x9a/0xd0
[   75.950650]  [<ffffffff8106ce45>] no_context+0x135/0x390
[   75.950650]  [<ffffffff81280710>] ? poll_select_copy_remaining+0x170/0x170
[   75.950650]  [<ffffffff8106d128>] __bad_area_nosemaphore+0x88/0x200
[   75.950650]  [<ffffffff8106d2b3>] bad_area_nosemaphore+0x13/0x20
[   75.950650]  [<ffffffff8106d595>] __do_page_fault+0xd5/0x470
[   75.950650]  [<ffffffff8106da1e>] trace_do_page_fault+0x6e/0x250
[   75.950650]  [<ffffffff8106820a>] do_async_page_fault+0x1a/0xa0
[   75.950650]  [<ffffffff81860de8>] async_page_fault+0x28/0x30
[   75.950650]  [<ffffffff8165bdc2>] ? input_handle_event+0x232/0x4e0
[   75.950650]  [<ffffffff8165c0c9>] input_event+0x59/0x80
[   75.950650]  [<ffffffffa0390244>] uinput_write+0x154/0x450 [uinput]
[   75.950650]  [<ffffffffa015404d>] ? port_fops_read+0xfd/0x1f0 [virtio_console]
[   75.950650]  [<ffffffff8126a0f7>] __vfs_write+0x37/0x100
[   75.950650]  [<ffffffff8126aac9>] vfs_write+0xa9/0x1a0
[   75.950650]  [<ffffffff8128bd66>] ? __fget_light+0x66/0x90
[   75.950650]  [<ffffffff8126b7c8>] SyS_write+0x58/0xd0
[   75.950650]  [<ffffffff8185e972>] entry_SYSCALL_64_fastpath+0x12/0x76
[   75.950650] note: spice-vdagentd[906] exited with preempt_count 1
[   76.015832] BUG: scheduling while atomic: spice-vdagentd/906/0x00000002
[   76.016649] INFO: lockdep is turned off.
[   76.017096] Modules linked in: uinput fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack kvm_amd kvm ppdev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq joydev snd_seq_device serio_raw snd_pcm parport_pc snd_timer parport virtio_console snd soundcore i2c_piix4 acpi_cpufreq isofs squashfs 8021q garp stp llc mrp virtio_net virtio_blk virtio_balloon qxl drm_kms_helper ttm drm virtio_pci ata_generic pata_acpi virtio_ring virtio loop
[   76.025247] CPU: 0 PID: 906 Comm: spice-vdagentd Tainted: G      D         4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1
[   76.026389] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.8.2-20150718_101000-lnx 04/01/2014
[   76.027478]  0000000000000000 00000000a31d5661 ffff8800529d3728 ffffffff81416c79
[   76.028383]  ffff88005bacd380 ffff8800529d3740 ffffffff810d559c ffff8800591d7a00
[   76.029264]  ffff8800529d3798 ffffffff81857ab5 ffffffff8185dfcb ffff8800584d5be0
[   76.030137] Call Trace:
[   76.030427]  [<ffffffff81416c79>] dump_stack+0x4b/0x72
[   76.030997]  [<ffffffff810d559c>] __schedule_bug+0x5c/0x80
[   76.031626]  [<ffffffff81857ab5>] __schedule+0x9a5/0xdb0
[   76.032221]  [<ffffffff8185dfcb>] ? _raw_spin_unlock_irqrestore+0x5b/0x60
[   76.033346]  [<ffffffff81857efa>] schedule+0x3a/0x90
[   76.033897]  [<ffffffff8185cba9>] schedule_timeout+0x239/0x330
[   76.034556]  [<ffffffff8185943a>] ? wait_for_completion+0x4a/0x140
[   76.035252]  [<ffffffff818594ed>] wait_for_completion+0xfd/0x140
[   76.035917]  [<ffffffff810dc480>] ? wake_up_q+0x60/0x60
[   76.036499]  [<ffffffff81122566>] __wait_rcu_gp+0xd6/0x130
[   76.037101]  [<ffffffff81128234>] synchronize_sched+0xb4/0x130
[   76.037733]  [<ffffffff81122430>] ? trace_raw_output_rcu_utilization+0x60/0x60
[   76.038532]  [<ffffffff8112820e>] ? synchronize_sched+0x8e/0x130
[   76.039190]  [<ffffffff81127290>] ? __call_rcu+0x410/0x410
[   76.039793]  [<ffffffff8128ded8>] namespace_unlock+0x68/0x80
[   76.040426]  [<ffffffff812913ee>] drop_collected_mounts+0x8e/0xa0
[   76.041093]  [<ffffffff81292dd0>] ? put_mnt_ns+0x20/0x30
[   76.041687]  [<ffffffff81292dd0>] put_mnt_ns+0x20/0x30
[   76.042260]  [<ffffffff810cfa3b>] free_nsproxy+0x1b/0x70
[   76.042835]  [<ffffffff810cfbb0>] switch_task_namespaces+0x70/0x80
[   76.043511]  [<ffffffff810cfbd0>] exit_task_namespaces+0x10/0x20
[   76.044167]  [<ffffffff810ac6cf>] do_exit+0x34f/0xc30
[   76.044734]  [<ffffffff81119971>] ? kmsg_dump+0x151/0x1a0
[   76.045341]  [<ffffffff81119854>] ? kmsg_dump+0x34/0x1a0
[   76.045919]  [<ffffffff8101ee5a>] oops_end+0x9a/0xd0
[   76.046597]  [<ffffffff8106ce45>] no_context+0x135/0x390
[   76.047373]  [<ffffffff81280710>] ? poll_select_copy_remaining+0x170/0x170
[   76.048159]  [<ffffffff8106d128>] __bad_area_nosemaphore+0x88/0x200
[   76.048840]  [<ffffffff8106d2b3>] bad_area_nosemaphore+0x13/0x20
[   76.049506]  [<ffffffff8106d595>] __do_page_fault+0xd5/0x470
[   76.050135]  [<ffffffff8106da1e>] trace_do_page_fault+0x6e/0x250
[   76.050790]  [<ffffffff8106820a>] do_async_page_fault+0x1a/0xa0
[   76.051495]  [<ffffffff81860de8>] async_page_fault+0x28/0x30
[   76.052139]  [<ffffffff8165bdc2>] ? input_handle_event+0x232/0x4e0
[   76.052816]  [<ffffffff8165c0c9>] input_event+0x59/0x80
[   76.053407]  [<ffffffffa0390244>] uinput_write+0x154/0x450 [uinput]
[   76.054100]  [<ffffffffa015404d>] ? port_fops_read+0xfd/0x1f0 [virtio_console]
[   76.054935]  [<ffffffff8126a0f7>] __vfs_write+0x37/0x100
[   76.055538]  [<ffffffff8126aac9>] vfs_write+0xa9/0x1a0
[   76.056116]  [<ffffffff8128bd66>] ? __fget_light+0x66/0x90
[   76.056708]  [<ffffffff8126b7c8>] SyS_write+0x58/0xd0
[   76.057276]  [<ffffffff8185e972>] entry_SYSCALL_64_fastpath+0x12/0x76
[  141.151139] INFO: rcu_sched detected stalls on CPUs/tasks:
[  141.152106] 	0: (0 ticks this GP) idle=117/140000000000000/0 softirq=10098/10098 fqs=0 
[  141.152106] 	(detected by 1, t=65090 jiffies, g=6258, c=6257, q=0)
[  141.152106] Task dump for CPU 0:
[  141.152106] spice-vdagentd  R  running task    12408   906      1 0x0000000a
[  141.152106]  ffffffff81436926 ffff8800529d3790 0000000000000046 0000000000000086
[  141.152106]  0000000000000046 00000000a31d5661 0000000000000082 0000000000000000
[  141.152106]  0000000000000000 00000000a31d5661 0000000000000082 0000000000000082
[  141.152106] Call Trace:
[  141.152106]  [<ffffffff81436926>] ? debug_object_activate+0xb6/0x1e0
[  141.152106]  [<ffffffff8143712d>] ? debug_check_no_obj_freed+0xbd/0x250
[  141.152106]  [<ffffffff8165b799>] ? __input_unregister_device+0x29/0x150
[  141.152106]  [<ffffffff8165b799>] ? __input_unregister_device+0x29/0x150
[  141.152106]  [<ffffffff8165b7b8>] ? __input_unregister_device+0x48/0x150
[  141.152106]  [<ffffffff8142430f>] ? __delay+0xf/0x20
[  141.152106]  [<ffffffff8110a73c>] ? do_raw_spin_lock+0x8c/0x150
[  141.152106]  [<ffffffff8185dd7a>] ? _raw_spin_lock_irq+0x6a/0x80
[  141.152106]  [<ffffffff8165b7b8>] ? __input_unregister_device+0x48/0x150
[  141.152106]  [<ffffffff8165b7b8>] ? __input_unregister_device+0x48/0x150
[  141.152106]  [<ffffffff8165b967>] ? input_unregister_device+0x47/0x70
[  141.152106]  [<ffffffffa038f154>] ? uinput_destroy_device+0xc4/0xd0 [uinput]
[  141.152106]  [<ffffffffa038f179>] ? uinput_release+0x19/0x30 [uinput]
[  141.152106]  [<ffffffff8126c615>] ? __fput+0xf5/0x200
[  141.152106]  [<ffffffff8126c75e>] ? ____fput+0xe/0x10
[  141.152106]  [<ffffffff810ccc93>] ? task_work_run+0x73/0xa0
[  141.152106]  [<ffffffff810ac6d4>] ? do_exit+0x354/0xc30
[  141.152106]  [<ffffffff81119971>] ? kmsg_dump+0x151/0x1a0
[  141.152106]  [<ffffffff81119854>] ? kmsg_dump+0x34/0x1a0
[  141.152106]  [<ffffffff8101ee5a>] ? oops_end+0x9a/0xd0
[  141.152106]  [<ffffffff8106ce45>] ? no_context+0x135/0x390
[  141.152106]  [<ffffffff81280710>] ? poll_select_copy_remaining+0x170/0x170
[  141.152106]  [<ffffffff8106d128>] ? __bad_area_nosemaphore+0x88/0x200
[  141.152106]  [<ffffffff8106d2b3>] ? bad_area_nosemaphore+0x13/0x20
[  141.152106]  [<ffffffff8106d595>] ? __do_page_fault+0xd5/0x470
[  141.152106]  [<ffffffff8106da1e>] ? trace_do_page_fault+0x6e/0x250
[  141.152106]  [<ffffffff8106820a>] ? do_async_page_fault+0x1a/0xa0
[  141.152106]  [<ffffffff81860de8>] ? async_page_fault+0x28/0x30
[  141.152106]  [<ffffffff8165bdc2>] ? input_handle_event+0x232/0x4e0
[  141.152106]  [<ffffffff8165c0c9>] ? input_event+0x59/0x80
[  141.152106]  [<ffffffffa0390244>] ? uinput_write+0x154/0x450 [uinput]
[  141.152106]  [<ffffffffa015404d>] ? port_fops_read+0xfd/0x1f0 [virtio_console]
[  141.152106]  [<ffffffff8126a0f7>] ? __vfs_write+0x37/0x100
[  141.152106]  [<ffffffff8126aac9>] ? vfs_write+0xa9/0x1a0
[  141.152106]  [<ffffffff8128bd66>] ? __fget_light+0x66/0x90
[  141.152106]  [<ffffffff8126b7c8>] ? SyS_write+0x58/0xd0
[  141.152106]  [<ffffffff8185e972>] ? entry_SYSCALL_64_fastpath+0x12/0x76
[  141.152106] rcu_sched kthread starved for 65090 jiffies! g6258 c6257 f0x0 s3 ->state=0x1
[  105.926758] BUG: spinlock lockup suspected on CPU#0, spice-vdagentd/906
[  105.926758]  lock: 0xffff88003ad09248, .magic: dead4ead, .owner: spice-vdagentd/906, .owner_cpu: 0
[  105.926758] CPU: 0 PID: 906 Comm: spice-vdagentd Tainted: G      D W       4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1
[  105.926758] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.8.2-20150718_101000-lnx 04/01/2014
[  105.926758]  0000000000000000 00000000a31d5661 ffff8800529d38e8 ffffffff81416c79
[  105.926758]  ffff88005bacd380 ffff8800529d3908 ffffffff8110a628 ffff88003ad09248
[  105.926758]  00000000bebc2000 ffff8800529d3938 ffffffff8110a750 ffff88003ad09260
[  105.926758] Call Trace:
[  105.926758]  [<ffffffff81416c79>] dump_stack+0x4b/0x72
[  105.926758]  [<ffffffff8110a628>] spin_dump+0x78/0xc0
[  105.926758]  [<ffffffff8110a750>] do_raw_spin_lock+0xa0/0x150
[  105.926758]  [<ffffffff8185dd7a>] _raw_spin_lock_irq+0x6a/0x80
[  105.926758]  [<ffffffff8165b7b8>] ? __input_unregister_device+0x48/0x150
[  105.926758]  [<ffffffff8165b7b8>] __input_unregister_device+0x48/0x150
[  105.926758]  [<ffffffff8165b967>] input_unregister_device+0x47/0x70
[  105.926758]  [<ffffffffa038f154>] uinput_destroy_device+0xc4/0xd0 [uinput]
[  105.926758]  [<ffffffffa038f179>] uinput_release+0x19/0x30 [uinput]
[  105.926758]  [<ffffffff8126c615>] __fput+0xf5/0x200
[  105.926758]  [<ffffffff8126c75e>] ____fput+0xe/0x10
[  105.926758]  [<ffffffff810ccc93>] task_work_run+0x73/0xa0
[  105.926758]  [<ffffffff810ac6d4>] do_exit+0x354/0xc30
[  105.926758]  [<ffffffff81119971>] ? kmsg_dump+0x151/0x1a0
[  105.926758]  [<ffffffff81119854>] ? kmsg_dump+0x34/0x1a0
[  105.926758]  [<ffffffff8101ee5a>] oops_end+0x9a/0xd0
[  105.926758]  [<ffffffff8106ce45>] no_context+0x135/0x390
[  105.926758]  [<ffffffff81280710>] ? poll_select_copy_remaining+0x170/0x170
[  105.926758]  [<ffffffff8106d128>] __bad_area_nosemaphore+0x88/0x200
[  105.926758]  [<ffffffff8106d2b3>] bad_area_nosemaphore+0x13/0x20
[  105.926758]  [<ffffffff8106d595>] __do_page_fault+0xd5/0x470
[  105.926758]  [<ffffffff8106da1e>] trace_do_page_fault+0x6e/0x250
[  105.926758]  [<ffffffff8106820a>] do_async_page_fault+0x1a/0xa0
[  105.926758]  [<ffffffff81860de8>] async_page_fault+0x28/0x30
[  105.926758]  [<ffffffff8165bdc2>] ? input_handle_event+0x232/0x4e0
[  105.926758]  [<ffffffff8165c0c9>] input_event+0x59/0x80
[  105.926758]  [<ffffffffa0390244>] uinput_write+0x154/0x450 [uinput]
[  105.926758]  [<ffffffffa015404d>] ? port_fops_read+0xfd/0x1f0 [virtio_console]
[  105.926758]  [<ffffffff8126a0f7>] __vfs_write+0x37/0x100
[  105.926758]  [<ffffffff8126aac9>] vfs_write+0xa9/0x1a0
[  105.926758]  [<ffffffff8128bd66>] ? __fget_light+0x66/0x90
[  105.926758]  [<ffffffff8126b7c8>] SyS_write+0x58/0xd0
[  105.926758]  [<ffffffff8185e972>] entry_SYSCALL_64_fastpath+0x12/0x76
[  105.926758] Sending NMI to all CPUs:
[  105.926758] NMI backtrace for cpu 0
[  105.926758] CPU: 0 PID: 906 Comm: spice-vdagentd Tainted: G      D W       4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1
[  105.926758] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.8.2-20150718_101000-lnx 04/01/2014
[  105.926758] task: ffff88005bacd380 ti: ffff8800529d0000 task.ti: ffff8800529d0000
[  105.926758] RIP: 0010:[<ffffffff8106892a>]  [<ffffffff8106892a>] native_write_msr_safe+0xa/0x10
[  105.926758] RSP: 0018:ffff8800529d3840  EFLAGS: 00000056
[  105.926758] RAX: 0000000000000400 RBX: 0000000000000000 RCX: 0000000000000830
[  105.926758] RDX: 0000000000000000 RSI: 0000000000000400 RDI: 0000000000000830
[  105.926758] RBP: ffff8800529d3840 R08: 0000000000000400 R09: 0000000000000003
[  105.926758] R10: ffff88005bacd380 R11: 00000000000003a7 R12: ffffffff81f67a20
[  105.926758] R13: 0000000000000000 R14: 0000000000080000 R15: 000000000000a120
[  105.926758] FS:  00007f710c3d2880(0000) GS:ffff880059000000(0000) knlGS:0000000000000000
[  105.926758] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  105.926758] CR2: 0000000000000024 CR3: 0000000001e0b000 CR4: 00000000000006f0
[  105.926758] Stack:
[  105.926758]  ffff8800529d3890 ffffffff8105e2ed 0000000000000086 0000000000000002
[  105.926758]  00000002529d38c0 0000000000000002 0000000000000001 ffffffff8105a290
[  105.926758]  0000000000000002 0000000000000000 ffff8800529d38a0 ffffffff8105e3b3
[  105.926758] Call Trace:
[  105.926758]  [<ffffffff8105e2ed>] __x2apic_send_IPI_mask+0xbd/0x110
[  105.926758]  [<ffffffff8105a290>] ? irq_force_complete_move+0x40/0x40
[  105.926758]  [<ffffffff8105e3b3>] x2apic_send_IPI_mask+0x13/0x20
[  105.926758]  [<ffffffff8105a2ab>] nmi_raise_cpu_backtrace+0x1b/0x20
[  105.926758]  [<ffffffff8141b89b>] nmi_trigger_all_cpu_backtrace+0x2bb/0x2c0
[  105.926758]  [<ffffffff8105a309>] arch_trigger_all_cpu_backtrace+0x19/0x20
[  105.926758]  [<ffffffff8110a75a>] do_raw_spin_lock+0xaa/0x150
[  105.926758]  [<ffffffff8185dd7a>] _raw_spin_lock_irq+0x6a/0x80
[  105.926758]  [<ffffffff8165b7b8>] ? __input_unregister_device+0x48/0x150
[  105.926758]  [<ffffffff8165b7b8>] __input_unregister_device+0x48/0x150
[  105.926758]  [<ffffffff8165b967>] input_unregister_device+0x47/0x70
[  105.926758]  [<ffffffffa038f154>] uinput_destroy_device+0xc4/0xd0 [uinput]
[  105.926758]  [<ffffffffa038f179>] uinput_release+0x19/0x30 [uinput]
[  105.926758]  [<ffffffff8126c615>] __fput+0xf5/0x200
[  105.926758]  [<ffffffff8126c75e>] ____fput+0xe/0x10
[  105.926758]  [<ffffffff810ccc93>] task_work_run+0x73/0xa0
[  105.926758]  [<ffffffff810ac6d4>] do_exit+0x354/0xc30
[  105.926758]  [<ffffffff81119971>] ? kmsg_dump+0x151/0x1a0
[  105.926758]  [<ffffffff81119854>] ? kmsg_dump+0x34/0x1a0
[  105.926758]  [<ffffffff8101ee5a>] oops_end+0x9a/0xd0
[  105.926758]  [<ffffffff8106ce45>] no_context+0x135/0x390
[  105.926758]  [<ffffffff81280710>] ? poll_select_copy_remaining+0x170/0x170
[  105.926758]  [<ffffffff8106d128>] __bad_area_nosemaphore+0x88/0x200
[  105.926758]  [<ffffffff8106d2b3>] bad_area_nosemaphore+0x13/0x20
[  105.926758]  [<ffffffff8106d595>] __do_page_fault+0xd5/0x470
[  105.926758]  [<ffffffff8106da1e>] trace_do_page_fault+0x6e/0x250
[  105.926758]  [<ffffffff8106820a>] do_async_page_fault+0x1a/0xa0
[  105.926758]  [<ffffffff81860de8>] async_page_fault+0x28/0x30
[  105.926758]  [<ffffffff8165bdc2>] ? input_handle_event+0x232/0x4e0
[  105.926758]  [<ffffffff8165c0c9>] input_event+0x59/0x80
[  105.926758]  [<ffffffffa0390244>] uinput_write+0x154/0x450 [uinput]
[  105.926758]  [<ffffffffa015404d>] ? port_fops_read+0xfd/0x1f0 [virtio_console]
[  105.926758]  [<ffffffff8126a0f7>] __vfs_write+0x37/0x100
[  105.926758]  [<ffffffff8126aac9>] vfs_write+0xa9/0x1a0
[  105.926758]  [<ffffffff8128bd66>] ? __fget_light+0x66/0x90
[  105.926758]  [<ffffffff8126b7c8>] SyS_write+0x58/0xd0
[  105.926758]  [<ffffffff8185e972>] entry_SYSCALL_64_fastpath+0x12/0x76
[  105.926758] Code: 00 55 89 f9 48 89 e5 0f 32 45 31 c0 48 c1 e2 20 44 89 06 48 09 d0 5d c3 66 0f 1f 84 00 00 00 00 00 55 89 f0 89 f9 48 89 e5 0f 30 <31> c0 5d c3 66 90 55 89 f9 48 89 e5 0f 33 48 c1 e2 20 48 09 d0 
[  105.926758] NMI backtrace for cpu 1
[  105.926758] CPU: 1 PID: 0 Comm: swapper/1 Tainted: G      D W       4.3.0-0.rc1.git0.1.fc24.x86_64+debug #1
[  105.926758] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.8.2-20150718_101000-lnx 04/01/2014
[  105.926758] task: ffff8800584f8000 ti: ffff8800584f4000 task.ti: ffff8800584f4000
[  105.926758] RIP: 0010:[<ffffffff81068a56>]  [<ffffffff81068a56>] native_safe_halt+0x6/0x10
[  105.926758] RSP: 0018:ffff8800584f7e90  EFLAGS: 00000246
[  105.926758] RAX: 0000000000000000 RBX: ffffffff81f61780 RCX: 0000000000000000
[  105.926758] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffffffff81026b0e
[  105.926758] RBP: ffff8800584f7e90 R08: 0000000000000000 R09: 0000000000000001
[  105.926758] R10: ffff8800584f8000 R11: 0000000000000000 R12: 0000000000000001
[  105.926758] R13: 0000000000000000 R14: 0000000000000000 R15: ffff8800584f4000
[  105.926758] FS:  00007f590939da00(0000) GS:ffff880059200000(0000) knlGS:0000000000000000
[  105.926758] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[  105.926758] CR2: 00000000020ebf18 CR3: 000000003c73f000 CR4: 00000000000006e0
[  105.926758] Stack:
[  105.926758]  ffff8800584f7eb0 ffffffff81026b13 ffffffff81f61780 ffff8800584f8000
[  105.926758]  ffff8800584f7ec0 ffffffff8102743f ffff8800584f7ed0 ffffffff810f7f2a
[  105.926758]  ffff8800584f7f28 ffffffff810f8324 ffff8800584f4000 ffff8800584f8000
[  105.926758] Call Trace:
[  105.926758]  [<ffffffff81026b13>] default_idle+0x23/0x150
[  105.926758]  [<ffffffff8102743f>] arch_cpu_idle+0xf/0x20
[  105.926758]  [<ffffffff810f7f2a>] default_idle_call+0x2a/0x40
[  105.926758]  [<ffffffff810f8324>] cpu_startup_entry+0x384/0x3f0
[  105.926758]  [<ffffffff81055853>] start_secondary+0x163/0x1a0
[  105.926758] Code: 00 00 00 00 00 55 48 89 e5 fa 5d c3 66 0f 1f 84 00 00 00 00 00 55 48 89 e5 fb 5d c3 66 0f 1f 84 00 00 00 00 00 55 48 89 e5 fb f4 <5d> c3 0f 1f 84 00 00 00 00 00 55 48 89 e5 f4 5d c3 66 0f 1f 84 
[  336.157077] INFO: rcu_sched detected stalls on CPUs/tasks:
[  336.158052] 	0: (0 ticks this GP) idle=117/140000000000000/0 softirq=10098/10098 fqs=64786 
[  336.158052] 	(detected by 1, t=260096 jiffies, g=6258, c=6257, q=0)
[  336.158052] Task dump for CPU 0:
[  336.158052] spice-vdagentd  R  running task    12408   906      1 0x0000000a
[  336.158052]  ffffffff81e59be0 0000000000000004 ffffffff8307e45c 0000000000000000
[  336.158052]  ffffffff810ff8fd ffff8800529d3788 ffffffff8185dfcb ffff8800529d3788
[  336.158052]  ffffffff811183c9 ffff8800529d37c8 ffffffff811185d7 01000000000000c8
[  336.158052] Call Trace:
[  336.158052]  [<ffffffff810ff8fd>] ? trace_hardirqs_off+0xd/0x10
[  336.158052]  [<ffffffff8185dfcb>] ? _raw_spin_unlock_irqrestore+0x5b/0x60
[  336.158052]  [<ffffffff811183c9>] ? wake_up_klogd+0x39/0x50
[  336.158052]  [<ffffffff811185d7>] ? console_unlock+0x1f7/0x580
[  336.158052]  [<ffffffff81118c91>] ? vprintk_emit+0x331/0x630
[  336.158052]  [<ffffffff81119119>] ? vprintk_default+0x29/0x40
[  336.158052]  [<ffffffff811da764>] ? printk+0x57/0x73
[  336.158052]  [<ffffffff8105a290>] ? irq_force_complete_move+0x40/0x40
[  336.158052]  [<ffffffff8141b73f>] ? nmi_trigger_all_cpu_backtrace+0x15f/0x2c0
[  336.158052]  [<ffffffff8105a309>] ? arch_trigger_all_cpu_backtrace+0x19/0x20
[  336.158052]  [<ffffffff8110a7fa>] ? do_raw_spin_lock+0x14a/0x150
[  336.158052]  [<ffffffff8185dd7a>] ? _raw_spin_lock_irq+0x6a/0x80
[  336.158052]  [<ffffffff8165b7b8>] ? __input_unregister_device+0x48/0x150
[  336.158052]  [<ffffffff8165b7b8>] ? __input_unregister_device+0x48/0x150
[  336.158052]  [<ffffffff8165b967>] ? input_unregister_device+0x47/0x70
[  336.158052]  [<ffffffffa038f154>] ? uinput_destroy_device+0xc4/0xd0 [uinput]
[  336.158052]  [<ffffffffa038f179>] ? uinput_release+0x19/0x30 [uinput]
[  336.158052]  [<ffffffff8126c615>] ? __fput+0xf5/0x200
[  336.158052]  [<ffffffff8126c75e>] ? ____fput+0xe/0x10
[  336.158052]  [<ffffffff810ccc93>] ? task_work_run+0x73/0xa0
[  336.158052]  [<ffffffff810ac6d4>] ? do_exit+0x354/0xc30
[  336.158052]  [<ffffffff81119971>] ? kmsg_dump+0x151/0x1a0
[  336.158052]  [<ffffffff81119854>] ? kmsg_dump+0x34/0x1a0
[  336.158052]  [<ffffffff8101ee5a>] ? oops_end+0x9a/0xd0
[  336.158052]  [<ffffffff8106ce45>] ? no_context+0x135/0x390
[  336.158052]  [<ffffffff81280710>] ? poll_select_copy_remaining+0x170/0x170
[  336.158052]  [<ffffffff8106d128>] ? __bad_area_nosemaphore+0x88/0x200
[  336.158052]  [<ffffffff8106d2b3>] ? bad_area_nosemaphore+0x13/0x20
[  336.158052]  [<ffffffff8106d595>] ? __do_page_fault+0xd5/0x470
[  336.158052]  [<ffffffff8106da1e>] ? trace_do_page_fault+0x6e/0x250
[  336.158052]  [<ffffffff8106820a>] ? do_async_page_fault+0x1a/0xa0
[  336.158052]  [<ffffffff81860de8>] ? async_page_fault+0x28/0x30
[  336.158052]  [<ffffffff8165bdc2>] ? input_handle_event+0x232/0x4e0
[  336.158052]  [<ffffffff8165c0c9>] ? input_event+0x59/0x80
[  336.158052]  [<ffffffffa0390244>] ? uinput_write+0x154/0x450 [uinput]
[  336.158052]  [<ffffffffa015404d>] ? port_fops_read+0xfd/0x1f0 [virtio_console]
[  336.158052]  [<ffffffff8126a0f7>] ? __vfs_write+0x37/0x100
[  336.158052]  [<ffffffff8126aac9>] ? vfs_write+0xa9/0x1a0
[  336.158052]  [<ffffffff8128bd66>] ? __fget_light+0x66/0x90
[  336.158052]  [<ffffffff8126b7c8>] ? SyS_write+0x58/0xd0
[  336.158052]  [<ffffffff8185e972>] ? entry_SYSCALL_64_fastpath+0x12/0x76
Comment 1 Victor Toso 2015-09-15 09:40:23 EDT
Please, regarding the summary and helpful info, check:
https://fedoraproject.org/wiki/How_to_file_a_bug_report

There is a bug related to rawhide vdagent [0] that could be the root here. Could you please try the scratch build with the patches (already acked)? [1]

[0] https://bugzilla.redhat.com/show_bug.cgi?id=1262635
[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=11091414
Comment 2 poma 2015-09-15 13:29:43 EDT
$ rpm -qp spice-vdagent-0.16.0-4.fc24.x86_64.rpm --changelog
* Tue Sep 15 2015 poma <poma@gmail.com> - 0.16.0-4
- Update to git commit 0159111 2015-09-15

no positive effect, quadruplicare remains.
Comment 3 Victor Toso 2015-09-15 13:46:07 EDT
(In reply to poma from comment #2)
> $ rpm -qp spice-vdagent-0.16.0-4.fc24.x86_64.rpm --changelog
> * Tue Sep 15 2015 poma <poma@gmail.com> - 0.16.0-4
> - Update to git commit 0159111 2015-09-15
> 
> no positive effect, quadruplicare remains.

Does not seem to be the same package from scratch build
$dnf info spice-vdagent | grep Release
Release     : 1.fc23.1.toso

Could you please test the scratch build from comment #1 ?

Also, could please update the summary with a suggestion of what this bug is about?
Comment 4 poma 2015-09-30 15:23:12 EDT
If the "spice" is the same component version (my build) on Fedora Stable and Rawhide, and the difference is the Xorg & Co.,
for me this is not the "spice" problem, but Xorg / Xorg input system.

https://bugs.freedesktop.org/show_bug.cgi?id=92204
Comment 5 poma 2015-09-30 15:25:25 EDT
QXL is different issue, appeared much earlier.
Comment 6 poma 2015-09-30 15:38:05 EDT
BTW thanks but no thanks, I do not need your "scratch" build - I am building my own from the current git - the whole time.
Patch or commit reference is sufficient.

When you(all of you) build a "scratch", as a rule you're omitting source rpm,
and that is another reason why not to use such "sourceless" build.
Comment 7 poma 2015-10-01 00:39:34 EDT
Actually,
User level driver support for input subsystem
Heavily based on evdev.c by Vojtech Pavlik

Resolved by:
Input: uinput - fix crash when using ABS events
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/input/misc/uinput.c?id=72d4736

Tested with:
- 4.3.0-0.rc3.git2.3.fc24.x86_64
  (Input-uinput-fix-crash-when-using-ABS-events.patch)
- within Rawhide-Xfce-Live-1001.iso

PASSED
Comment 8 Christophe Fergeau 2015-10-01 04:21:05 EDT
(In reply to poma from comment #6)
> When you(all of you) build a "scratch", as a rule you're omitting source rpm,
> and that is another reason why not to use such "sourceless" build.

When given a link to a koji build, the srpm is there as well as the builds, in this case it's https://kojipkgs.fedoraproject.org//work/tasks/1416/11091416/spice-vdagent-0.16.0-1.fc23.1.toso.src.rpm (click on Victor's link http://koji.fedoraproject.org/koji/taskinfo?taskID=11091414 , click on the first build (the ARM one), and there you have a link to the srpm).
Comment 9 poma 2015-10-01 18:09:39 EDT
(In reply to Christophe Fergeau from comment #8)
> (In reply to poma from comment #6)
> > When you(all of you) build a "scratch", as a rule you're omitting source rpm,
> > and that is another reason why not to use such "sourceless" build.
> 
> When given a link to a koji build, the srpm is there as well as the builds,
> in this case it's
> https://kojipkgs.fedoraproject.org//work/tasks/1416/11091416/spice-vdagent-0.
> 16.0-1.fc23.1.toso.src.rpm (click on Victor's link
> http://koji.fedoraproject.org/koji/taskinfo?taskID=11091414 , click on the
> first build (the ARM one), and there you have a link to the srpm).

You are right there - Arch: armv7hl,

I was looking for sourcerpm in - Arch: x86_64
http://koji.fedoraproject.org/koji/taskinfo?taskID=11091417
which is missing sourcerpm - Keep SRPM? no

What is the reason the sourcerpm is not visible/linked to all arches?
"Keep SRPM? no" in particular arches - here in x86_64 & i686, is perplexing.
Comment 10 Christophe Fergeau 2015-10-02 08:24:12 EDT
(In reply to poma from comment #9)
> 
> What is the reason the sourcerpm is not visible/linked to all arches?
> "Keep SRPM? no" in particular arches - here in x86_64 & i686, is perplexing.

Yes, that's a bit confusing, I think the .srpm only needs to be built once, so the first builder to run does this. Which arch it is will be random and will be the 'less busy' one.
Comment 11 poma 2015-10-05 20:03:50 EDT
(In reply to Christophe Fergeau from comment #10)
> (In reply to poma from comment #9)
> > 
> > What is the reason the sourcerpm is not visible/linked to all arches?
> > "Keep SRPM? no" in particular arches - here in x86_64 & i686, is perplexing.
> 
> Yes, that's a bit confusing, I think the .srpm only needs to be built once,
> so the first builder to run does this. Which arch it is will be random and
> will be the 'less busy' one.

I understand the part related to build, but the presentation of sourcerpms should be clear, as in a standard builds.
Comment 12 poma 2015-10-05 20:04:14 EDT
4.3.0-0.rc4.git0.1.fc24.x86_64+debug  PASSED

Note You need to log in before you can comment on or make changes to this bug.